Subject: bug#487: pgg-gpg.el - pgg-gpg-process-region timing problem

From: Chong Yidong <[email-masked]>
Date: Thu, 26 Jun 2008 12:32:05 -0400

> i am not sure how to proceed with this problem.  as demonstrated by
> the pggprob.el script, i consistently get encryption and decryption
> problems without the contrived delay in my pgg-gpg-process-region
> patch.  (the problem does not happen if i just do a regular
> pgg-decrypt - i think the crucial thing is that a symmetric passphrase
> is being passed into pgg-gpg-process-region.)

Here's one suggestion, though I don't know how useful it is: if it's
possible to run the same or similar version of pgg in Emacs 22, you
could and see if it appears there.  If not, we could narrow the problem
down to a change in Emacs' process code during Emacs 23 (though OTOH I
don't know of any that could lead to this).